@import '../core/base';

.chatGroupContainer {
  @include flex(flex-start, space-between, column);
  height: 100%;
  position: relative;
  width: 100%;
}

.chatGroupWrap {
  overflow: auto;
  height: calc(100vh - 141px);
  width: 100%;
  // &_contacts {}
  @include mobile-lg {
    height: calc(100vh - 126px);
  }
  // &_chats {}
  &_settings {
    height: calc(100vh - 70px);
  }
}

.chatGroupFooter {
  width: 100%;
  button {
    min-width: initial !important;
    padding: 0 !important;
    min-height: 7rem !important;
    @include mobile-lg {
      min-height: 5.5rem !important;
    }
    i {
      font-size: 1.2rem;
      font-style: normal;
      @include mobile-lg {
        display: none;
      }
    }
  }
}

.chatContent {
  &__section {
    @include flex(stretch, space-between, column);
    width: 100%;
    height: 100%;
  }
  &__overflow {
    overflow: auto;
    padding: 1.5rem;
    padding-right: 3.2rem;
    height: 100%;
    @include mobile-lg {
      padding: 1rem;
      padding-right: 2.7rem;
    }
  }
  &__item {
    color: #333;
    &_receiver {
      text-align: right;
    }
  }
}

.messages {
  height: 100%;
  // overflow: auto;
  &__item {
    padding-bottom: 1rem;
    display: flex;
    &_start {
      justify-content: flex-start;
    }
    &_end {
      justify-content: flex-end;
      text-align: right;
    }
  }
  &__item_end &__wrap {
    flex-direction: row-reverse;
  }
  &__item_end &__info {
    padding-left: 0;
    padding-right: 1.5rem;
    @include mobile-lg {
      padding-right: 0;
    }
  }
  &__wrap {
    @include flex(flex-start, flex-start);
    max-width: 70%;
    @include  mobile-lg {
      max-width: 82%
    }
  }
  &__img {
    border-radius: 50%;
    min-width: 3.6rem;
    height: 3.6rem;
    width: 3.6rem;
    &_none {
      background-color: #009eee;
      color: #fff;
      text-transform: uppercase;
      font-weight: bold;
      font-size: 1.4rem;
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 0;
      margin: 0;
      line-height: inherit;
    }
  }
  &__item_end &__img {
    @include mobile-lg {
      display: none;
    }
  }
  &__info {
    padding-left: 1.5rem;
    @include mobile-lg {
      padding-left: 1rem;
    }
  }
  &__time {
    color: #999;
    font-size: 1.2rem;
  }
  &__item_end &__time {
    padding-right: 0.5rem;
  }
  &__item_end &__user {
    display: flex;
    flex-direction: row-reverse;
  }
  &__item_start &__user {
    color: #009eee;
  }
  &__text {
    border-radius: 0 7px 7px 7px;
    background-color: #faf7fd;
    padding: .6rem 1.2rem !important;
    display: inline-flex;
    word-break: break-word;
  }
  &__item_end &__text {
    border-radius: 7px 0 7px 7px;
    text-align: left;
  }
}

.chatHeader {
  @include flex(center, space-between);
  border-bottom: .1rem solid #eee;
  padding: 1rem 1.5rem;
  @include mobile-lg {
    padding: 1rem;
  }
  &__wrap {
    @include flex(center, space-between);
  }
  &__buttonBack {
    display: none !important;
    @include mobile-lg {
      display: block !important;
    }
  }
  &__img {
    border-radius: 50%;
    height: 3.6rem;
    width: 3.6rem;
    &_none {
      background-color: #009eee;
      color: #fff;
      text-transform: uppercase;
      font-weight: bold;
      font-size: 1.4rem;
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 0;
      margin: 0;
      line-height: inherit;
    }
  }
  &__name {
    padding-left: 1.5rem;
    padding-bottom: 0;
  }
  &__typing {
    color: #009eee;
    font-size: 12px;
    padding-left: 45px;
    position: relative;
    height: 15px;
    span {
      font-size: 1.5rem;
    }
    img {
      position: absolute;
      width: 50px;
      height: 50px;
      top: -17px;
      z-index: 0;
      left: -6px;
    }
  }
}

.chatForm {
  background-color: #fff;
  padding: 0 1.5rem 1.5rem;
  position: relative;
  width: 100%;
  & input {
    padding-right: 6rem;
    font-size: 1.4rem;
  }
  &__button {
    position: absolute;
    z-index: 2;
    right: 1.8rem;
    height: 5.4rem;
    display: flex;
    top: 0;
  }
}

.chatGroupHeader {
  @include flex(center, space-between);
  padding: 1rem;
  width: 100%;
  &__search {
    width: 100%;
    padding-right: 1rem;
  }
  &__switcher {
    position: relative;
  }
}

.chatSettings {
  cursor: default;
  &__header {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  h4 {
    padding: 1.5rem;
  }
  &__name {
    padding: 1.5rem 0;
  }
}

